import request from '@/config/axios'

export interface HttpTagVO {
  id: string
  apiId: string,
  tagName: string,
  dataType: string,
  tagDesc: string,
  enabled: boolean
}

export interface HttpTagPageReqVO extends PageParam {
  tagName?: string
}

// 查询HttpTag列表
export const getHttpTagPage = (params: HttpTagPageReqVO) => {
  return request.get({ url: '/data/channel/http/tag/page', params })
}

// 查询HttpTag详情
export const getHttpTag = (id: number) => {
  return request.get({ url: `/data/channel/http/tag/info/${id}`})
}

// 新增HttpTag
export const createHttpTag = (data: HttpTagVO) => {
  return request.post({ url: '/data/channel/http/tag/create', data })
}

// 修改HttpTag
export const updateHttpTag = (data: HttpTagVO) => {
  return request.put({ url: '/data/channel/http/tag/update', data })
}

// 删除HttpTag
export const deleteHttpTag = (id: number) => {
  return request.delete({ url: '/data/channel/http/tag/delete?id=' + id })
}
